package es.mde.gearsolid;

import org.slf4j.Logger;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;

/**
 * Aplicación principal, define log y lanza aplicación
 * 
 * @author Rodrigo de Dios García
 * @version 0.1
 */
@SpringBootApplication
public class GearsolidApplication {

	
	public static void main(String[] args) {
		ConfigurableApplicationContext contexto = SpringApplication.run(GearsolidApplication.class, args);
		contexto.getBean(Logger.class).info("Gearsolid iniciado");
	}


}
