package es.mde.gearsolid.entidades;


import jakarta.persistence.Column;
import jakarta.persistence.DiscriminatorValue;
import jakarta.persistence.Entity;

/**
 * Tipo de compromiso que representa una formación Campos:
 * <ul>
 * <li>tipoFormación: String libre</li>
 * </ul>
 * 
 * @author Rodrigo de Dios García
 * @version 0.1
 */
@Entity
@DiscriminatorValue("Formacion")
public class Formacion extends Compromiso {
  @Column
  private String tipoFormacion;

  public Formacion() {

  }

  public String getTipoFormacion() {
    return tipoFormacion;
  }

  public void setTipoFormacion(String tipoFormacion) {
    this.tipoFormacion = tipoFormacion;
  }


}
