package es.mde.gearsolid.repositorios;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;

import es.mde.gearsolid.entidades.Formacion;

/**
 * Representa los métodos para acceso a la Entidad Formacion en la Base de Datos
 * 
 * @author Rodrigo De Dios García
 * @version 0.1
 */
@RepositoryRestResource(path = "formaciones", itemResourceRel = "formacion",
    collectionResourceRel = "formaciones")
public interface FormacionDAO extends JpaRepository<Formacion, Integer> {

}
