package es.mde.gearsolid.repositorios;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;
import es.mde.gearsolid.entidades.Compromiso;

/**
 * Representa los métodos para acceso a la Entidad Compromiso en la Base de Datos
 * 
 * @author Rodrigo De Dios García
 * @version 0.1
 */
@RepositoryRestResource(path = "compromisos", itemResourceRel = "compromiso",
    collectionResourceRel = "compromisos")
public interface CompromisoDAO extends JpaRepository<Compromiso, Integer> {

}
