package es.mde.gearsolid.repositorios;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;
import es.mde.gearsolid.entidades.Franja;

/**
 * Representa los métodos para acceso a la Entidad Franja en la Base de Datos
 * 
 * @author Rodrigo De Dios García
 * @version 0.1
 */
@RepositoryRestResource(path = "franjas", itemResourceRel = "franja",
    collectionResourceRel = "franjas")
public interface FranjaDAO extends JpaRepository<Franja, Integer> {

}
