package es.mde.gearsolid.repositorios;

import java.util.List;
import es.mde.gearsolid.entidades.RecogidaAlimento;

/**
 * Interfaz que contiene la firma de los métodos personalizados de acceso a datos en la Entidad
 * Recogida de Alimento
 * 
 * @author Rodrigo De Dios García
 * @version 0.1
 */
public interface RecogidaAlimentoCustom {
  public List<RecogidaAlimento> getRecogidaAlimentoPorGrupo(String grupo, Long inicioSemana);
}
