package es.mde.gearsolid.repositorios;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;

import es.mde.gearsolid.entidades.Usuario;

/**
 * Representa los métodos para acceso a la Entidad Usuario en la Base de Datos
 * 
 * @author Rodrigo De Dios García
 * @version 0.1
 */
@RepositoryRestResource(path = "usuarios", itemResourceRel = "usuario",
    collectionResourceRel = "usuarios")
public interface UsuarioDAO extends JpaRepository<Usuario, Integer>{

}
